A libpam-pgsql 0.x hitelesítés megkerülési sérülékenysége

CH azonosító

CH-1260

Felfedezés dátuma

2008.05.25.

Súlyosság

Közepes

Érintett rendszerek

N/A
libpam-pgsql

Érintett verziók

N/A libpam-pgsql 0.x

Összefoglaló

A libpam-pgsql biztonsági rését jelentették, melyet rosszindulatú támadók bizonyos biztonsági korlátozások megkerülésére használhatnak.

Leírás

A libpam-pgsql biztonsági rését jelentették, melyet rosszindulatú támadók bizonyos biztonsági korlátozások megkerülésére használhatnak.

A biztonsági rést egy hiba okozza apam_pgsql.c “pam_sm_authenticate()” függvényében. Ezt a hitelesítés megkerülésére lehet használni, például SIGINIT küldésével a hitelesítési folyamat alatt.

A sérülékenységet a 0.6.3 verzióra jelentették. Korábbi verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra